What's the plan for Sentry after python 2.7 EOL


#1

Hi Sentry dev,

What is the plan for Sentry after python 2.7 EOL?

I found https://github.com/getsentry/sentry/issues/1152 and am not sure if the opinion expressed there has changed or not.

In particular, the official Sentry docker image [1] is based on python2.7. Is that ever going to be based on python3, or should I file an issue in that repo (if it is going to)?

Thanks!


#2

The issue you are linked will be updated if anything changes. We currently do not have any news with regards to Python 3 support.